post
https://api.7digital.com/1.2/user/subscription/log?&
Report a track that has been streamed by a user which had a subscription.
It is recommended to log streams in near real-time, or the same day in batches of 10-20 logs per request. Before logging actual user data, your Client Success Manager will support you through Compliance Testing to ensure logging accuracy and usage of the appropriate endpoint.

Example request
POST https://api.7digital.com/1.2/user/subscription/log?country=EE&userId=141732543&oauth_consumer_key=YOUR_KEY_HERE&oauth_token=...The body can be sent in either JSON or XML formats, as specified below. Multiple plays can be batched by user by constructing an array of objects under playLogItem.
Streams that are requested as part of pre-fetching functionality, but never played on the device, should still be logged with a zero second play time.
{
"playLogItem": [
{
"trackId": 673059,
"releaseId": 64705,
"formatId": 33,
"playMode": "online",
"dateTimePlayed": "2021-05-10T11:39:28.8981203Z",
"totalTimePlayed": 6,
"userAgent": "Device version 3, App version 6"
}
]
}<playLog>
<playLogItem>
<trackId>123456</trackId>
<releaseId>123456</releaseId>
<formatId>50</formatId>
<playMode>online</playMode>
<dateTimePlayed>2014-03-13T11:39:28.8981203Z</dateTimePlayed>
<totalTimePlayed >12</totalTimePlayed>
<userAgent>Device version 3, App version 6</userAgent>
</playLogItem>
</playLog>Example Response
{
"status": "ok",
"version": "1.2",
"playLogs": {
"count": 1
}
}Specific Error Codes
- 1002 - DateTimePlayed is not within the two month window. Streams must be logged with a date less than 61 days in the past, and cannot be logged before they have happened (ie. DateTimePlayed in the future).
- 1003 - User has never had a subscription. The user you're trying to log plays for has never had a subscription account in our system (active or not) and therefore couldn't have streamed a subscription track with us.

